OpenVDB: BlindData< VisibleT, BlindT > Class Template Reference

OpenVDB 5.1.0

Public Types | Public Member Functions | Protected Attributes | List of all members
BlindData< VisibleT, BlindT > Class Template Reference

`#include <ParticlesToLevelSet.h>`

## Public Types
using | type = VisibleT
using | VisibleType = VisibleT
using | BlindType = BlindT

## Public Member Functions
| BlindData ()
| BlindData (VisibleT v)
| BlindData (VisibleT v, BlindT b)
| BlindData (const BlindData &)=default
BlindData & | operator= (const BlindData &)=default
const VisibleT & | visible () const
const BlindT & | blind () const
OPENVDB_NO_FP_EQUALITY_WARNING_BEGIN bool | operator== (const BlindData &rhs) const
OPENVDB_NO_FP_EQUALITY_WARNING_END bool | operator< (const BlindData &rhs) const
bool | operator> (const BlindData &rhs) const
BlindData | operator+ (const BlindData &rhs) const
BlindData | operator+ (const VisibleT &rhs) const
BlindData | operator- (const BlindData &rhs) const
BlindData | operator- () const

## Protected Attributes
VisibleT | mVisible
BlindT | mBlind

## Member Typedef Documentation

## ◆ BlindType

using BlindType = BlindT

## ◆ type

using type = VisibleT

## ◆ VisibleType

using VisibleType = VisibleT

## Constructor & Destructor Documentation

## ◆ BlindData() [1/4]

BlindData | ( |  | ) |
| inline

## ◆ BlindData() [2/4]

BlindData | ( | VisibleT | v | ) |
| inlineexplicit

## ◆ BlindData() [3/4]

BlindData | ( | VisibleT | v,
|  | BlindT | b
| ) |  |
| inline

## ◆ BlindData() [4/4]

BlindData | ( | const BlindData< VisibleT, BlindT > & |  | ) |
| default

## Member Function Documentation

## ◆ blind()

const BlindT& blind | ( |  | ) | const
| inline

## ◆ operator+() [1/2]

BlindData operator+ | ( | const BlindData< VisibleT, BlindT > & | rhs | ) | const
| inline

## ◆ operator+() [2/2]

BlindData operator+ | ( | const VisibleT & | rhs | ) | const
| inline

## ◆ operator-() [1/2]

BlindData operator- | ( | const BlindData< VisibleT, BlindT > & | rhs | ) | const
| inline

## ◆ operator-() [2/2]

BlindData operator- | ( |  | ) | const
| inline

## ◆ operator<()

OPENVDB_NO_FP_EQUALITY_WARNING_END bool operator< | ( | const BlindData< VisibleT, BlindT > & | rhs | ) | const
| inline

## ◆ operator=()

BlindData& operator= | ( | const BlindData< VisibleT, BlindT > & |  | ) |
| default

## ◆ operator==()

OPENVDB_NO_FP_EQUALITY_WARNING_BEGIN bool operator== | ( | const BlindData< VisibleT, BlindT > & | rhs | ) | const
| inline

## ◆ operator>()

bool operator> | ( | const BlindData< VisibleT, BlindT > & | rhs | ) | const
| inline

## ◆ visible()

const VisibleT& visible | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mBlind

BlindT mBlind
| protected

## ◆ mVisible

VisibleT mVisible
| protected

The documentation for this class was generated from the following file:

- ParticlesToLevelSet.h